# -*- mode: ruby -*-
# vi: set ft=ruby :

ENV['VAGRANT_DEFAULT_PROVIDER'] = 'docker'

# Specify Vagrant version and Vagrant API version
Vagrant.require_version ">= 1.6.0"
VAGRANTFILE_API_VERSION = "2"
IMAGE = "gitlab.adullact.net:4567/gip-recia-snc/public/docker/fedora-systemd"

require 'yaml'
configuration = YAML.load_file("#{Dir.home}/.vagrant.yml")

host_configuration = "./" + configuration['docker']['provider'] + "HostVagrantFile"

# Create and configure the VM(s)

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
  config.vm.define "fedora_systemd" do |v| 
   v.vm.provider "docker" do |d|
      d.name = "fedora-systemd"
      d.build_dir = "."
      d.build_args = ["-t", IMAGE ]
      d.auth_server = configuration['docker']['hub']['url']
      d.username = configuration['docker']['hub']['username']
      d.password = configuration['docker']['hub']['password']
      d.force_host_vm = true
      d.has_ssh = false
      d.vagrant_machine = "debian_docker_host"
      d.vagrant_vagrantfile = host_configuration
      d.remains_running = false
   end

   v.vm.synced_folder ".", "/vagrant", type: "rsync",
     rsync__verbose: "true",
     rsync__exclude: ".git/"
  end
end
